POST api/partner/paid_orders/order/items/periodic?ignorePartnerId={ignorePartnerId}&isB2C={isB2C}&skip={skip}&take={take}
Получение оплаченных заказов (периодика)
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| ignorePartnerId | boolean |
Required |
|
| isB2C | boolean |
Required |
|
| skip | integer |
Required |
|
| take | integer |
Required |
Body Parameters
Body| Name | Description | Type | Additional information |
|---|---|---|---|
| PartnerId |
Идентификатор клиента |
globally unique identifier |
None. |
| User |
Пользователь |
UserModel |
None. |
| Order |
Модель заказа |
OrderModel |
None. |
| Read |
Модель для чтения |
ReadModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"partnerId": "a90ee142-5ecb-4b63-bc70-5c6048b605be",
"user": {
"id": 1,
"email": {
"address": "sample string 1",
"isApproved": true
}
},
"order": {
"id": "7af2666f-a87a-40ec-8c2a-e8c8b154998e",
"identifiers": [
1,
2
]
},
"read": {
"orderId": "a608c7fc-0574-4d09-989f-ea2eb7970ec6",
"eId": 2
}
}
application/xml, text/xml
Sample:
<PartnerController.Body xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RucontAPI.Controllers">
<Order>
<Id>7af2666f-a87a-40ec-8c2a-e8c8b154998e</Id>
<Identifiers xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:long>1</d3p1:long>
<d3p1:long>2</d3p1:long>
</Identifiers>
</Order>
<PartnerId>a90ee142-5ecb-4b63-bc70-5c6048b605be</PartnerId>
<Read>
<EId>2</EId>
<OrderId>a608c7fc-0574-4d09-989f-ea2eb7970ec6</OrderId>
</Read>
<User>
<Email>
<Address>sample string 1</Address>
<IsApproved>true</IsApproved>
</Email>
<Id>1</Id>
</User>
</PartnerController.Body>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |